QACCT(1)

NAME
qacct - report and account for Grid Engine Enterprise Edition usage

SYNOPSIS
qacct [ -A Account ] [ -b BeginTime ] [ -d Days ] [ -e EndTime ] [ -g [GroupId|GroupName] ] [ -h [HostName] ] [ -help ] [ -history HistoryPath ] [ -j [JobId|JobName] ] [ -l attr=val,... ] [ -nohist ] [ -o [Owner] ] [ -pe [PEname] ] [ -q [Q_name] ] [ -slots [SlotNumber] ] [ -t task_id_range_list ] [ -P [Project] ] [ -D [Department] ] [ -f AcctFileName ]

DESCRIPTION
The qacct utility scans the accounting data file (see and produces a summary of information for wall-clock time, cpu-time, and system time for the categories of hostname, queue-name, group-name, owner-name, job-name, job-ID and for the queues meeting the resource requirements as specified with the -l switch. Combinations of each category are permitted. Alternatively, all or specific jobs can be listed with the -j switch. For example the search criteria could include summarizing for a queue and an owner, but not for two queues in the same request.

OPTIONS

-A Account
    The account for jobs to be summarized.

-b BeginTime
    The earliest start time for jobs to be summarized, in the format [[CC]YY]MMDDhhmm[.SS]. See also -d option. If CC is not specified, a YY of < 70 means 20YY.

-d Days
    The number of days to summarize and print accounting information on. If used together with the -b BeginTime option (see above), jobs started within BeginTime to BeginTime + Days are counted. If used together with the -e EndTime (see below) option, count starts at EndTime - Days.

-e EndTime
    The latest start time for jobs to be summarized, in the format [[CC]YY]MMDDhhmm[.SS]. See also -d option. If CC is not specified, a YY of < 70 means 20YY.

[-f AcctFileName]
    The accounting file to be used. If omitted, the system default accounting file is processed.

-g [GroupId|GroupName]
    The numeric system group id or the group alphanumeric name of the job owners to be included in the accounting. If GroupId/GroupName is omitted, all groups are accounted.

-h [HostName]
    The case-insensitive name of the host upon which accounting information is requested. If the name is omitted, totals for each host are listed separately.

-help
    Display help information for the qacct command.

-history HistoryPath
    The directory path where the historical queue and complexes configuration data is located, which is used for resource requirement matching in conjunction with the -l switch. If the latter is not set, this option is ignored.

-j [[JobName|JobId]]
    The name or ID of the job during execution for which accounting information is printed. If neither a name nor an ID is given all jobs are enlisted.
    This option changes the output format of qacct. If activated, CPU times are no longer accumulated but the "raw" accounting information is printed in a formatted form instead. See for an explanation of the displayed information.

-l attr=val,...
    A resource requirement specification which must be met by the queues in which the jobs being accounted were executing. The matching is performed with historical data, i.e. it reflects the situation of the queue and complexes configuration at the time of the job start.

    The resource request is very similar to the one described in The main difference is that ever changing load information may not be requested as it is not contained in the historical configuration data being used.

-nohist
    Only useful together with the -l option. It forces qacct not to use historical queue and complexes configuration data for resource requirement matching but instead retrieve actual queue and complexes configuration from Note, that this may lead to confusing statistical results, as the current queue and complexes configuration may differ significantly from the situation being valid for past jobs. Note also, that all hosts being referenced in the accounting file have to be up and running in order to get results.

-o [Owner]
    The name of the owner of the jobs for which accounting statistics are assembled. If the optional Owner argument is omitted, a listing of the accounting statistics of all job owners being present in the accounting file is produced.

-pe [PEname]
    The name of the parallel environment for which usage is summarized. If PEname is not given, accounting data is listed for each parallel environment separately.

-q [Q_name]
    The name of the queue for which usage is summarized. If Q_name is not given, accounting data is listed for each queue separately.

-slots [SlotNumber]
    The number of queue slots for which usage is summarized. If SlotNumber is not given, accounting data is listed for each number of queue slots separately.

-t task_id_range_list
    Only available together with the -j option described above.

    The -t switch specifies the array job task range, for which accounting information should be printed. Syntax and semantics of task_id_range_list are identical to that one described under the -t option to Please see there also for further information on array jobs.

-P [Project]
    The name of the project for which usage is summarized. If Project is not given, accounting data is listed for each owner project separately. Projects are only used when running in Grid Engine Enterprise Edition mode.

-D [Department]
    The name of the department for which usage is summarized. If Department is not given, accounting data is listed for each owner department separately. Departments are only used when running in Grid Engine Enterprise Edition mode.

ENVIRONMENTAL VARIABLES

SGE_ROOT
    Specifies the location of the Grid Engine Enterprise Edition standard configuration files.

SGE_CELL
    If set, specifies the default Grid Engine Enterprise Edition cell. To address a Grid Engine Enterprise Edition cell qacct uses (in the order of precedence):

        The name of the cell specified in the environment variable SGE_CELL, if it is set.

        The name of the default cell, i.e. default.

SGE_DEBUG_LEVEL
    If set, specifies that debug information should be written to stderr. In addition the level of detail in which debug information is generated is defined.

COMMD_PORT
    If set, specifies the tcp port on which is expected to listen for communication requests. Most installations will use a services map entry instead to define that port.

COMMD_HOST
    If set, specifies the host on which the particular to be used for Grid Engine Enterprise Edition communication of the qacct client resides. Per default the local host is used.

FILES
<sge_root>/<cell>/common/accounting
	Grid Engine Enterprise Edition default accounting file
<sge_root>/<cell>/common/history
	Grid Engine Enterprise Edition default history database
<xxqs_nam_sexx_root>/<cell>/common/act_qmaster
	Grid Engine Enterprise Edition master host file

SEE ALSO

COPYRIGHT
See for a full statement of rights and permissions.